import { FormSOP } from '../../libappsop/formsop';
import { MatrixEditorSOP } from '../../libappsop/matrixeditorsop';
import { DialogDummy } from '../dialogs/dialog.dummy';

export class FormPurchasingPlan extends FormSOP {
  public mePurchasingPlan = new MatrixEditorPurchasingPlan();

  public constructor() {
    super('FormPurchasingPlan');
  }
}

export class MatrixEditorPurchasingPlan extends MatrixEditorSOP<DialogDummy> {
  public static readonly title = 'Purchasing Plan';

  public constructor() {
    super('MatrixEditorPISPIP', 'matrixeditorContextMenuPISPIP', new DialogDummy());
  }
}
